:root {
    --bg-color: #1a1a1a;
    --alternate-bg-color: rgba(26, 26, 26, 0.8);
    --dark-bg-color: rgba(0,0,0, 0.8);
    --text-color: #e0e0e0;
    --font-family: system-ui,
    -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    --padding: 1rem;
    --img-margin-bottom: 1rem;
    --accent: #5794d1; 
}


@font-face {
    font-family: 'timepieceregular';
    src: url('timepiece-rpdew-webfont.woff2') format('woff2'),
         url('timepiece-rpdew-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

body {
    background-color: var(--bg-color);
    background-image: url('images/background.webp');
    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
    color: var(--text-color);
    font-family: var(--font-family);
    margin: 0;

}

img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: auto;

}

h1 {
    font-family: 'timepieceregular';
    text-align: center;
    color: var(--text-color);
    font-weight: 400;
    font-size: clamp(5rem, 8vw, 10rem);
    line-height: clamp(5rem, 8vw, 10rem);
    text-shadow: -10px 10px 10px rgba(0, 0, 0, 0.5);

}
h2{
    font-size: 3rem;
    font-weight: 400;


}
h1, 
h2,
h3,
h4,
p {
    text-wrap: pretty;
  }

a{
    color: var(--accent);
}

.hero img{
    max-height: 90svh;
    filter: drop-shadow(-10px 10px 10px rgba(0, 0, 0, 0.5));
}

img.shadow{
    box-shadow: -10px 10px 10px rgba(0, 0, 0, 0.5);
    border-radius: 50%;
}

main > div{
    max-width: 1400px;
    margin: auto;
    padding: var(--padding);
}

footer{
    background-color: var(--alternate-bg-color);
    padding: var(--padding);
}

main p, 
footer p{
    line-height: 1.7;
    font-size: 1.2rem;
}
section{
    background-color: var(--alternate-bg-color);
    margin: calc(4 * var(--padding)) 0;
}
.iw{
    padding: 1rem;
    text-align: right;
    font-size: 0.9rem;
}
.iw a{
    color: var(--text-color);
    text-decoration: none;
}

@media screen and (width > 1024px){

    :root{
        --padding: 40px;
    }
    section main{
        display: grid;
        grid-template-columns: 1fr 1fr;
        max-width: 1200px;
        margin: auto;
    }
    footer > div{
      max-width: 1200px;
      margin: auto;
    }
    header{
    margin: var(--padding);
    }
    .reveal{
    position: relative;
    opacity: 0;
    transition: 3s all ease;
    } 
    .reveal.active{
    opacity: 1;
    }
    .reveal:not(.fade):not(.up){
    transform: scaleX(0);
    transition: 2s all ease;
    }
    .reveal.active:not(.fade):not(.up){
    transform: scaleX(1);
    }
    section{
    box-shadow: -10px 10px 10px rgba(0, 0, 0, 0.5);
    }
    section, 
    footer{
        padding-block: calc(2* var(--padding));
}
}


@media screen and (width > 1200px)
and (orientation:landscape)
{


    .hero{
        display: grid;
        grid-template-columns: 1fr 90svh 3fr;
        gap: var(--padding); 
    }
    .title{
        display: grid;
    }
    .title h1{
        transform: 
        rotate(90deg);
        margin: auto;
        text-shadow: 10px 10px 10px rgba(0, 0, 0, 0.5);

    }

}